%define module_name App-ReportPrereqs
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(HTTP/Tiny.pm) perl(List/Util.pm) perl(Module/CPANfile.pm) perl(Module/Path.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(lib.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Report prerequisite versions
Group: Development/Perl
License: open_source
URL: https://github.com/skirmess/App-ReportPrereqs

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIRMESS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
    The report-prereqs utility will examine cpanfile for prerequisites with
    Module::CPANfile. It reports the version of all modules listed as
    prerequisites (including 'recommends', 'suggests', etc.). However, any
    'develop' prerequisites are not reported, unless they show up in
    another category or the --with-develop option is used.

    Versions are reported based on the result of parse_version from
    ExtUtils::MakeMaker, which means prerequisite modules are not actually
    loaded. Parse errors are reported as "undef". If a module is not
    installed, "missing" is reported instead of a version string.

    Additionally, unfulfilled required prerequisites are reported after the
    list of all versions.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%_man1dir/*
%_bindir/*

%changelog
* Mon Oct 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- regenerated from template by package builder

* Wed Jun 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

